@base <https://purl.org/coscine/ap/qudt/quantitykind/SourceVoltage/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/SourceVoltage/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Source Voltage sind."@de,
    "Profile for all units that are a/an Source Voltage."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Source Voltage"@de,
    "Unit: Source Voltage"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:KiloV unit:MegaV unit:MicroV unit:MilliV unit:PlanckVolt unit:V unit:V_Ab unit:V_Stat ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:KiloV rdfs:label "Kilovolt"@en .
unit:MegaV rdfs:label "Megavolt"@en .
unit:MicroV rdfs:label "Microvolt"@en .
unit:MilliV rdfs:label "Millivolt"@en .
unit:PlanckVolt rdfs:label "Planck Volt"@en .
unit:V rdfs:label "Volt"@de, "Volt"@cs, "Volt"@en, "Volt"@fr, "Volt"@hu, "Volt"@it, "Volt"@ms, "Volt"@pt, "Volt"@ro, "Volt"@sl, "Volt"@tr, "Voltio"@es, "Voltium"@la, "Wolt"@pl, "Βολτ"@el, "Волт"@bg, "Вольт"@ru, "וולט"@he, "فولت"@ar, "ولت"@fa, "वोल्ट"@hi, "ボルト"@ja, "伏特"@zh .
unit:V_Ab rdfs:label "Abvolt"@en .
unit:V_Stat rdfs:label "Statvolt"@en .
